<!DOCTYPE html>
<html lang="pl">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Formularze</title>
</head>
<body>
  <div>
    <h2>Formularz logowania</h2>
    <!-- Normalnie używalibyśmy metody POST -->
    <!-- <form action="results.html" method="POST"> -->
    <form action="results.html" method="GET">
      <!-- Opcja 1 - wygląda bardziej przejrzyście, łatwiej się styluje -->
      <label for="name">Nazwa: </label>
      <input type="text" name="name" id="name" placeholder="Nazwa Użytkownika" required>
      
      <!-- Opcja 2 - tak też można -->
      <div>
        <label>
          Hasło: 
          <input type="password" name="password" placeholder="Hasło" required>
        </label>
      </div>

      <div>
        <button type="submit">Zaloguj</button>
        <button type="reset">Reset</button>
      </div>
    </form>
  </div>

  <br>

  <div>
    <h2>Formularz rejestracji</h2>
    <form action="results.html" method="GET">
      <!-- Input: text -->
      <div>
        <label for="tekst">Tekst: </label>
        <input type="text" placeholder="tekst..." size="50" maxlength="55">
      </div>
      <br>

      <!-- Input: email -->
      <div>
        <label for="mail">Mail: </label>
        <input type="text" name="mail" placeholder="mail@host.com" require>
      </div>
      <br>

      <!-- Input: tel -->
      <div>
        <label for="tel">Telefon: </label>
        <input type="tel" name="tel" id="tel">
      </div>
      <br>

      <!-- Input: number -->
      <div>
        <label for="num">Numer:</label>
        <input type="number" name="num" id="num" min="1944" max="2020" placeholder="rok?" step="2">
      </div>
      <br>

      <!-- Input: range -->
      <div>
        <label for="num">Numer:</label>
        <input type="number" name="num" id="num" min="1944" max="2020" placeholder="rok?" step="2">
      </div>
      <br>

      <!-- Input: date -->
      <div>
        <label for="date">Data: </label>
        <input type="date" name="date" id="date" min="2020-08-12" required>
      </div>
      <br>

      <!-- Input: multiline text -->
      <div>
        <label for="multiline">Tekst wielolinijkowy: </label>
        <div>
          <textarea name="multiline" id="" cols="30" rows="10">Tutaj wpisz swój tekst...</textarea>
        </div>
      </div>
      <br>
      
      <!-- Input: password -->
      <div>
        <label for="passwd">Hasło: </label>
        <input type="password" name="passwd" placeholder="Tutaj wpisz swoje hasło...">
      </div>
      <br>
      
      <!-- Input: checkbox -->
      <div>
        <label for="color">Wybierz podstawowy kolor:</label>
        <div>
          <input type="checkbox" name="color" id="red" value="#F00"> 
          <label for="color">Czerwony</label>
          <input type="checkbox" name="color" id="green" value="#0F0" checked> 
          <label for="color">Zielony</label>
          <input type="checkbox" name="color" id="blue" value="#00F">
          <label for="color">Niebieski</label>
        </div>
      </div>
      <br>

      <!-- Input: radio groups -->
      <div>
        <fieldset>
          <legend>Wybierz motyw:</legend>
          <span>
            <input type="radio" name="colorRadio" id="redRadio" value="#F00">
            <label for="colorRadio">Czerwony</label>
          </span>
          <span>
            <input type="radio" name="colorRadio" id="greenRadio" value="#0F0">
            <label for="colorRadio">Zielony</label>
          </span>
          <span>
            <input type="radio" name="colorRadio" id="blueRadio" value="#00F">
            <label for="colorRadio">Niebieski</label>
          </span>
        </fieldset>
        <!-- Both checkbox and radio can be grouped -->
      </div>
      <br>

      <!-- Input: color -->
      <div>
        <label for="colorpicker">Wybierz kolor:</label>
        <input type="color" name="colorpicker" id="colorPicker" value="#ff6611">
      </div>
      <br>

      <!-- Input: file -->
      <div>
        <div>
          <label for="fileSub">Wysyłanie pojedynczego pliku</label>
          <input type="file" name="fileSub" id="fileSub">
        </div>
        <div>
          <label for="fileMultiSub">Wysyłanie wielu plików</label>
          <input type="file" name="fileMultiSub" id="fileMultiSub" multiple>
        </div>
        <div>
          <label for="fileSub">Wysyłanie wielu plików o konkretnym rozszerzeniu</label>
          <input type="file" name="fileMultiSub" id="fileMultiSub" multiple accept="image/png,image/jpeg,image/gif">
        </div>
      </div>
      <br>

      <div>
        <button type="submit">Zaloguj</button>
        <button type="reset">Reset</button>
      </div>
    </form>
  </div>

  <div>
    <form action="google.com" method="POST">
      <input type="search" name="search" id="search">
      <button type="submit">Szukaj!</button>
    </form>
  </div>

</body>
</html>